clang 10.0.0git

Public Member Functions | List of all members
clang::Sema::DefaultedFunctionKind Class Reference

For a defaulted function, the kind of defaulted function that it is. More...

`#include "clang/Sema/Sema.h"`

## Public Member Functions
| DefaultedFunctionKind ()
| DefaultedFunctionKind (CXXSpecialMember CSM)
| DefaultedFunctionKind (DefaultedComparisonKind Comp)
bool | isSpecialMember () const
bool | isComparison () const
| operator bool () const
CXXSpecialMember | asSpecialMember () const
DefaultedComparisonKind | asComparison () const
unsigned | getDiagnosticIndex () const
| Get the index of this function kind for use in diagnostics. More...

## Detailed Description

For a defaulted function, the kind of defaulted function that it is.

Definition at line 2611 of file Sema.h.

## Constructor & Destructor Documentation

## ◆ DefaultedFunctionKind() [1/3]

clang::Sema::DefaultedFunctionKind::DefaultedFunctionKind | ( |  | ) |
| inline

Definition at line 2616 of file Sema.h.

## ◆ DefaultedFunctionKind() [2/3]

clang::Sema::DefaultedFunctionKind::DefaultedFunctionKind | ( | CXXSpecialMember | CSM | ) |
| inline

Definition at line 2619 of file Sema.h.

## ◆ DefaultedFunctionKind() [3/3]

clang::Sema::DefaultedFunctionKind::DefaultedFunctionKind | ( | DefaultedComparisonKind | Comp | ) |
| inline

Definition at line 2621 of file Sema.h.

## Member Function Documentation

## ◆ asComparison()

DefaultedComparisonKind clang::Sema::DefaultedFunctionKind::asComparison | ( |  | ) | const
| inline

Definition at line 2634 of file Sema.h.

Referenced by clang::Sema::DiagnoseDeletedDefaultedFunction(), clang::Sema::getDefaultedComparisonKind(), and clang::Sema::SetDeclDefaulted().

## ◆ asSpecialMember()

CXXSpecialMember clang::Sema::DefaultedFunctionKind::asSpecialMember | ( |  | ) | const
| inline

Definition at line 2633 of file Sema.h.

Referenced by clang::Sema::DiagnoseDeletedDefaultedFunction(), clang::Sema::getSpecialMember(), and clang::Sema::SetDeclDefaulted().

## ◆ getDiagnosticIndex()

unsigned clang::Sema::DefaultedFunctionKind::getDiagnosticIndex | ( |  | ) | const
| inline

Get the index of this function kind for use in diagnostics.

Definition at line 2637 of file Sema.h.

References clang::XRayInstrKind::None.

## ◆ isComparison()

bool clang::Sema::DefaultedFunctionKind::isComparison | ( |  | ) | const
| inline

Definition at line 2625 of file Sema.h.

References clang::XRayInstrKind::None.

Referenced by clang::Sema::SetDeclDefaulted().

## ◆ isSpecialMember()

bool clang::Sema::DefaultedFunctionKind::isSpecialMember | ( |  | ) | const
| inline

Definition at line 2624 of file Sema.h.

Referenced by clang::Sema::DiagnoseDeletedDefaultedFunction().

## ◆ operator bool()

clang::Sema::DefaultedFunctionKind::operator bool | ( |  | ) | const
| inline explicit

Definition at line 2629 of file Sema.h.

The documentation for this class was generated from the following file:

- include/clang/Sema/Sema.h